For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cascades

List cascade configurations for a repository

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner, application

No content

get/sfp/api/cascades
GET /sfp/api/cascades?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: member, owner, application

No content

Create or update a cascade configuration

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
201

Cascade config created/updated

No content

post/sfp/api/cascades
POST /sfp/api/cascades HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get cascade dashboard data for visualization

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
200

Dashboard data for cascade visualization

No content

get/sfp/api/cascades/{name}/dashboard
GET /sfp/api/cascades/{name}/dashboard?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get a cascade configuration with edge states

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner, application

No content

get/sfp/api/cascades/{name}
GET /sfp/api/cascades/{name}?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: member, owner, application

No content

Delete a cascade configuration

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: owner, application

No content

delete/sfp/api/cascades/{name}
DELETE /sfp/api/cascades/{name}?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: owner, application

No content

Trigger a cascade run for all or a specific edge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: owner, application

No content

post/sfp/api/cascades/{name}/trigger
POST /sfp/api/cascades/{name}/trigger?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: owner, application

No content

Publish cascade run results from CLI

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
403

Forbidden - Requires role: application

No content

post/sfp/api/cascades/publish-results
POST /sfp/api/cascades/publish-results HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: application

No content

Get schedule info for a cascade

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner, application

No content

get/sfp/api/cascades/{name}/schedules
GET /sfp/api/cascades/{name}/schedules?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: member, owner, application

No content

Get cascade run summaries

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Query parameters
repositoryIdentifierstringRequired
limitstringOptional
offsetstringOptional
Responses
403

Forbidden - Requires role: member, owner, application

No content

get/sfp/api/cascades/{name}/runs
GET /sfp/api/cascades/{name}/runs?repositoryIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
403

Forbidden - Requires role: member, owner, application

No content

Last updated

Was this helpful?